geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: classloading in 3.0
Date Fri, 04 Nov 2011 19:42:01 GMT

On Nov 4, 2011, at 12:07 PM, Radim Kolar wrote:

> I propose to make classloading in 3.0 entirely different. Give user aplication access
to javax.* stuff and other required J2EE 6 apis and nothing else unless told otherwise by
deployment descriptor.

I'd like this too.  How do you propose to get this to work?  I've been working on several
ideas that end up requiring major modifications to geronimo that I haven't been able to get
to work.  Any ideas you might have would be great to see.

What I'd actually like to see is that, instead of arbitrarily importing any particular set
of classes, we run bnd on the application classes to determine the Import-Packages needed.

thanks
david jencks

> 
> If user includes springs in WAR then use them instead springs in geronimo (emulate parent
last classloading). Because almost no apps are using J2EE 6 now, people can try G2.2 vs G3
if they have problems with classloading and they are not willing to write deployment descriptors.


Mime
View raw message